Not the answer you need?
Register and ask your own question!

unable to install package 'libperconaserverclient20' on ubuntu 20.04

tiemeztiemez Current User Role Beginner

i've installed percona-xtradb-cluster-57 and the cluster is running well,

When i try to install the 'libperconaserverclient20' package on ubuntu 20.04, it tries to install the percona-server-common-5.7, which i don't need....because i already have percona-xtradb-cluster-common-5.7 installed.

Because of this, i get an error while installing this package via apt:

apt install libperconaserverclient20

Reading package lists... Done

Building dependency tree    

Reading state information... Done

The following additional packages will be installed:

 percona-server-common-5.7

The following NEW packages will be installed:

 libperconaserverclient20 percona-server-common-5.7

0 upgraded, 2 newly installed, 0 to remove and 4 not upgraded.

Need to get 879 kB of archives.

After this operation, 6701 kB of additional disk space will be used.

Do you want to continue? [Y/n] Y

Get:1 http://repo.percona.com/percona/apt focal/main amd64 percona-server-common-5.7 amd64 5.7.31-34-1.focal [210 kB]

Get:2 http://repo.percona.com/percona/apt focal/main amd64 libperconaserverclient20 amd64 5.7.31-34-1.focal [669 kB]

Fetched 879 kB in 0s (15.9 MB/s)          

Selecting previously unselected package percona-server-common-5.7.

(Reading database ... 71062 files and directories currently installed.)

Preparing to unpack .../percona-server-common-5.7_5.7.31-34-1.focal_amd64.deb ...

Unpacking percona-server-common-5.7 (5.7.31-34-1.focal) ...

dpkg: error processing archive /var/cache/apt/archives/percona-server-common-5.7_5.7.31-34-1.focal_amd64.deb (--unpack):

 trying to overwrite '/usr/share/mysql/bulgarian/errmsg.sys', which is also in package percona-xtradb-cluster-server-5.7 5.7.30-31.43-1.focal

dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)

Selecting previously unselected package libperconaserverclient20:amd64.

Preparing to unpack .../libperconaserverclient20_5.7.31-34-1.focal_amd64.deb ...

Unpacking libperconaserverclient20:amd64 (5.7.31-34-1.focal) ...

Errors were encountered while processing:

 /var/cache/apt/archives/percona-server-common-5.7_5.7.31-34-1.focal_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

[email protected]:/usr/share/mysql# dpkg --remove libperconaserverclient20:amd64

dpkg: warning: files list file for package 'percona-server-source-5.7' missing; assuming package has no files currently installed

(Reading database ... 71068 files and directories currently installed.)

Removing libperconaserverclient20:amd64 (5.7.31-34-1.focal) ...

Processing triggers for libc-bin (2.31-0ubuntu9) ...

i see that above was once been fixed in this JIRA ticket https://jira.percona.com/browse/PXC-902

i need the libperconaserverclient20, because i need/want to install https://pypi.org/project/mysqlclient/ on the same VMs

Tagged:

Answers

Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.